#include <iostream>
using namespace std;
int fun2(long int,long int,long int);
int main()
{
    long int n,a=1;
    cin>>n;
    while (a*a*a<=n)
    {
        if (n%a==0)
        {
            fun2(a,n/a,a);
        }
        a++;
    }
    return 0;
}
int fun2(long int a, long int b,long int c)
{
    while (a*a<=b)
    {
        if (b%a==0)
        {
            cout<<c<<"."<<a<<"."<<b/a<<endl;
        }
        a++;
    }
}
